/* Copyright (c) 2012 Jesper Öqvist <jesper@llbit.se>
 *
 * This file is part of Chunky.
 *
 * Chunky is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Chunky is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with Chunky.  If not, see <http://www.gnu.org/licenses/>.
 */
package se.llbit.chunky.renderer;

import java.util.logging.Level;

import se.llbit.chunky.main.Chunky;

public class RenderWorker extends Thread {
	
	private int id;
	private RenderManager controller;

	public RenderWorker(RenderManager controller, int id) {
		super("3D Render Worker " + id);
		
		this.controller = controller;
		this.id = id;
	}
	
	public void run() {
		try {
			try {
				int jobId;
				while (!isInterrupted()) {
					jobId = controller.getTicket();
					controller.work(id, jobId);
					controller.jobDone(jobId);
				}
			} catch (InterruptedException e) {
			}
		} catch (Throwable e) {
			Chunky.logger.log(Level.SEVERE, "Render worker " + id +
					" crashed with uncaught exception.", e);
		}
	}

}
