/* Copyright (c) 2012 Jesper Öqvist <jesper@llbit.se>
 *
 * This file is part of Chunky.
 *
 * Chunky is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Chunky is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with Chunky.  If not, see <http://www.gnu.org/licenses/>.
 */
package se.llbit.math;

public class Vector4d {
	public double x, y, z, w;

	public Vector4d() {
		this(0, 0, 0, 0);
	}
	
	public Vector4d(double i, double j, double k, double l) {
		x = i;
		y = j;
		z = k;
		w = l;
	}

	public final void set(Vector4d other) {
		x = other.x;
		y = other.y;
		z = other.z;
		w = other.w;
	}

	public final void set(double i, double j, double k, double l) {
		x = i;
		y = j;
		z = k;
		w = l;
	}

	public void scale(double d) {
		x *= d;
		y *= d;
		z *= d;
		w *= d;
	}

	public void set(float[] v) {
		x = v[0];
		y = v[1];
		z = v[2];
		w = v[3];
	}
}
